/* GLOPALE STYLE START */
*{
    margin: 0px;
    padding: 0px;
    box-sizing: border-box;
    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
}
:root{
    --primary-color:#DB608E;
    --sec-color:#FCFCFC;
    --primary-bg-color:#212224;
    --sec-bg-color:#28292B;
}
body{
    background-color: var(--primary-bg-color);
}
span{
    color: var(--primary-color);
}
.main-btn{
    background-color: var(--primary-color);
    border: none;
    width: 160px;
    font-size: 16px;
    height: 42px;
    border-radius: 30px;
    color: var(--sec-color);
    cursor: pointer;
    &:hover{
        color: var(--primary-color);
        background-color: var(--sec-color);
        transition: all 0.4s ease-in;
    }
}
/* GLOPALE STYLE END */


/* HEADER START */
header{
    /* NAV START */
    nav{
        padding: 32px 108px;
        display: flex;
        gap: 20px;
        justify-content: space-between;
        margin-bottom: 36px;
        .logo-and-search{
            display: flex;
            align-items: center;
            gap:26px ;
            position: relative;
                img{
                    width: 212px;
                    padding-right: 24px;
                    border-right: 1px solid #292a2d;
                }
                .search{
                    color: #6F6B6A;
                    position: absolute;
                    left: 60%;
                }
                input#search{
                    width: 200px;
                    height: 50px;
                    border-radius: 40px;
                    background-color: var(--sec-bg-color);
                    border: none;
                    border-right: 1px solid #292a2d;
                    &::placeholder{
                        color: #6F6B6A;
                        text-align: center;
                    }
                }
        }
        .pages-and-profile{
            display: flex;
            align-items: center;
            gap: 20px;
                ul{
                    list-style: none;
                    display: flex;
                    gap: 34px;
                    margin: 0px;
                        li{
                            a{
                                text-decoration: none;
                                color: #5B594C;
                                &:hover{
                                    color: var(--primary-color);
                                    transition: all 0.4s ease-in;
                                }
                            }
                            #home{
                                color:var(--primary-color) ;
                            }
                        }
                }
                .profile{
                    &:hover{
                        color: var(--sec-color);
                        background-color: var(--primary-color);
                        transition: all 0.5s ease-in;
                    }
                    text-decoration: none;
                    color: #5B594C;
                    background-color: var(--sec-bg-color);
                    border-radius: 40px;
                    display: flex;
                    align-items: center;
                    justify-content: space-around;
                    width: 110px;
                    height: 50px;
                    padding: 10px;
                        img{
                            border-radius: 50%;
                        }
                }
        }
        .menu{
            cursor: pointer;
            background:none;
            border: none;
            display: none;
            svg{
                path{
                    fill:var(--primary-color);
                }
            }
        }
    }
    /* NAV ENS */
}
/* HEADER END */

/* MAIN START */
main{
    padding: 0px 108px;
    .container{
        padding: 40px;
        background-color: var(--sec-bg-color);
        border-radius: 20px;
        /* HERO SECTION START */
        .hero{
            border-radius: 20px;
                .hero-bg{
                    background-image: url(./../img/banner-bg.jpg);
                    background-repeat: no-repeat;
                    background-size: cover;
                    padding: 50px 40px ;
                    background-position: center center;
                    min-height: 377px;
                    border-radius: 23px;
                        .hero-container{
                            width: 64%;
                            p{
                                font-size: 20px;
                                color: var(--sec-color);
                                margin-bottom: 30px;
                            }
                            h1{
                                font-size: 50px;
                                color: var(--sec-color);
                                line-height: 70px;
                                margin-bottom: 37px;
                            }
                }
                }
        }
        /* HERO SECTION END */

        /* POPULAR SECTION START */
        .popular{
            background-color:var(--primary-bg-color) ;
            padding: 20px;
            margin-top: 40px;
            border-radius: 20px;
                h1{
                    color: var(--sec-color);
                    margin-bottom: 20px;
                }
                .popular-games{
                    display: flex;
                    flex-wrap: wrap;
                    gap: 32px;
                        .game{
                            background-color: var(--sec-bg-color);
                            padding: 26px 20px;
                            border-radius: 20px;
                                img{
                                    width: 189px;
                                    /* height: 140px; */
                                    border-radius: 20px;
                                    margin-bottom: 18px;
                                }
                                .game-details{
                                    .game-name{
                                        display: flex;
                                        justify-content: space-between;
                                        align-items: center;
                                        gap: 14px;
                                        margin-bottom: 8px;
                                            h2{
                                                color: var(--sec-color);
                                                font-size: 18px;
                                            }
                                            .rating{
                                                display: flex;
                                                gap: 2px;
                                                    .star{
                                                        color: #F6F700;
                                                    }
                                                    p{
                                                        color: var(--sec-color);
                                                        font-size: 14px;
                                                    }
                                            }
                                    }
                                    .game-stodiu{
                                        display: flex;
                                        justify-content: space-between;
                                        gap: 14px;
                                        h3{
                                            font-size: 16px;
                                            color: #6F6B6A;
                                            font-weight: 400;
                                        }
                                        .downloads{
                                            display: flex;
                                            gap: 2px;
                                                .download{
                                                    color: var(--primary-color);
                                                }
                                                p{
                                                    color: var(--sec-color);
                                                    font-size: 14px;
                                                }
                                        }
                                    }
                                }
                        }
                }
                .popular-btn{
                    display: flex;
                    justify-content: center;
                    padding-top: 24px;
                }
        }
        /* POPULAR SECTION END */

        /* LIBRARY SECTION START */
        .library{
            background-color:var(--primary-bg-color) ;
            padding: 20px;
            margin-top: 40px;
            border-radius: 20px;
                h1{
                    color: var(--sec-color);
                    margin-bottom: 20px;
                }
                .librar-container{
                    display: flex;
                    justify-content: space-between;
                    align-items: center;
                    flex-wrap: wrap;
                    gap: 39px;
                    border-bottom: 1px solid #292a2d ;
                    margin-bottom: 18px;
                    padding-bottom: 18px;
                        .library-game-title{
                            display: flex;
                            gap: 20px;
                            align-items: center;
                                img{
                                    border-radius: 20px;
                                }
                                .library-game-name{
                                    h2{
                                        color: var(--sec-color);
                                        font-size: 18px;
                                        margin-bottom: 8px;
                                    }
                                    p{
                                        font-size: 16px;
                                        color: #6F6B6A;
                                        font-weight: 400;
                                    }
                                }
                        }
                        .library-game-details{
                            display: flex;
                            flex-wrap: wrap;
                            gap: 100px;
                                .data-added,.hours-played,.currently{
                                    h2{
                                        color: var(--sec-color);
                                        font-size: 18px;
                                        margin-bottom: 8px;
                                    }
                                    p{
                                        font-size: 16px;
                                        color: #6F6B6A;
                                        font-weight: 400;
                                    }
                                }
                        }
                        .Downloaded-btn{
                            background:none;
                            border: 1px solid #6F6B6A;
                            width: 160px;
                            font-size: 16px;
                            height: 42px;
                            border-radius: 30px;
                            color: #6F6B6A;
                            cursor: not-allowed;
                        }
                        .Download-btn{
                            background:none;
                            border: 1px solid var(--primary-color);
                            width: 160px;
                            font-size: 16px;
                            height: 42px;
                            border-radius: 30px;
                            color: var(--primary-color);
                            cursor: pointer;
                            &:hover{
                                background-color: var(--sec-color);
                                color: var(--primary-color);
                                border: none;
                                transition: all 0.7s ease-in;
                            }
                        }

                }
        }
        /* LIBRARY SECTION END */
}
}
/* MAIN END */

/* FOOTER START */
footer{
    padding: 40px;
    p{
        text-align: center;
        color: var(--sec-color);
            .footer-a{
                text-decoration: none;
                color: #aaaaaa;
                &:hover{
                    color: var(--primary-color);
                    transition: all 0.4s ease-in;
                }
            }
    }
}
/* FOOTER END */

/* MEDIA QUERY START */
@media screen and (max-width:992px) {
    header{
        nav{
            padding: 32px 35px;
            margin: 0px;
                .logo-and-search {
                    img {
                        width: 156px;
                        border: none;
                    }
                    input#search {
                        display: none;
                    }
                    .search{
                        display: none;
                    }
                }
                .pages-and-profile{
                    display: none;
                }
                .menu{
                    display: block;
                }
                .offcanvas-body{
                    ul{
                        li{
                            padding-left: 10px;
                            &:hover{
                                color: var(--primary-color);
                                background-color: var(--sec-bg-color);
                                border-radius: 10px;
                            }
                        }
                    }
                }
                form{
                    input{
                        &:focus{
                            box-shadow: none !important;
                            /* border: none !important; */
                            border: 2px solid var(--primary-color) !important;
                        }
                    }
                }
        }
    }
    main{
        padding:0px 0px ;
            .container {
                border-radius: 0px;
                padding: 20px;
                background-color: #212224;
                    .hero {
                        .hero-bg {
                            padding: 50px 20px;
                            .hero-container {
                                p {
                                    font-size: 17px;
                                }
                                h1{
                                    font-size: 30px;
                                }
                        }
                    }
                    }
                    .popular {
                        h1 {
                            font-size: 24px;
                            margin-bottom: 40px;
                        }
                        .popular-games {
                            justify-content: center;
                                .game{
                                    width: 100%;
                                    img{
                                        width: 100%;
                                    }
                                }
                        }
                    }
                    .library{
                        h1{
                            font-size: 24px;
                            margin-bottom: 40px;
                        }
                        .librar-container {
                            justify-content: center;
                            .library-game-title{
                                width: 100%;
                                flex-direction: column;
                                align-items: center;
                                justify-content: center;
                                border-top: 2px solid #444547;
                                padding-top: 30px;
                                    img {
                                        border-radius: 20px;
                                        width: 100%;
                                        object-fit: cover;
                                        height: 160px;
                                    }
                            }
                            .library-game-details {
                                gap: 20px;
                                justify-content: center;
                                    .data-added, & .hours-played, & .currently {
                                        h2 {
                                            font-size: 15px;
                                        }
                                        p{
                                            font-size: 14px;
                                        }
                                    }
                            }
                            .Downloaded-btn {
                                width: 140px;
                                font-size: 13px;
                            }
                            .Download-btn {
                                width: 140px;
                                font-size: 13px;
                            }
                        }
                    }
        }
    }
    footer{
        background-color: #28292b;
        padding: 18px;
    }
}
/* MEDIA GUERY END */